Package com.databend.jdbc

## Class ConnectionProperties.Debug

- java.lang.Object
- - com.databend.jdbc.ConnectionProperties.Debug

Enclosing class:
  ConnectionProperties

    public static class ConnectionProperties.Debug
    extends Object

### Field Summary

Fields
`protected static java.util.function.Predicate<Properties>` `ALLOWED`
`protected static com.databend.jdbc.AbstractConnectionProperty.Converter<Boolean>` `BOOLEAN_CONVERTER`
`protected static com.databend.jdbc.AbstractConnectionProperty.Converter<File>` `FILE_CONVERTER`
`protected static com.databend.jdbc.AbstractConnectionProperty.Converter<Integer>` `INTEGER_CONVERTER`
`protected static com.databend.jdbc.AbstractConnectionProperty.Converter<String>` `NON_EMPTY_STRING_CONVERTER`
`protected static java.util.function.Predicate<Properties>` `NOT_REQUIRED`
`protected static com.databend.jdbc.AbstractConnectionProperty.Converter<String>` `STRING_CONVERTER`

### Constructor Summary

Constructors
`Debug()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Default Methods
`protected static <T> java.util.function.Predicate<T>` `checkedPredicate​(com.databend.jdbc.AbstractConnectionProperty.CheckedPredicate<T> predicate)`
`Optional<String>` `getDefault()`
`DriverPropertyInfo` `getDriverPropertyInfo​(Properties mergedProperties)`
`String` `getKey()`
`default T` `getRequiredValue​(Properties properties)`
`Optional<T>` `getValue​(Properties properties)`
`boolean` `isAllowed​(Properties properties)`
`boolean` `isRequired​(Properties properties)`
`void` `validate​(Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NOT_REQUIRED

    protected static final java.util.function.Predicate<Properties> NOT_REQUIRED

#### ALLOWED

    protected static final java.util.function.Predicate<Properties> ALLOWED

#### STRING_CONVERTER

    protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<String> STRING_CONVERTER

#### NON_EMPTY_STRING_CONVERTER

    protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<String> NON_EMPTY_STRING_CONVERTER

#### FILE_CONVERTER

    protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<File> FILE_CONVERTER

#### BOOLEAN_CONVERTER

    protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<Boolean> BOOLEAN_CONVERTER

#### INTEGER_CONVERTER

    protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<Integer> INTEGER_CONVERTER

### Constructor Detail

#### Debug

    public Debug()

### Method Detail

#### checkedPredicate

    protected static <T> java.util.function.Predicate<T> checkedPredicate​(com.databend.jdbc.AbstractConnectionProperty.CheckedPredicate<T> predicate)

#### getKey

    public String getKey()

#### getDefault

    public Optional<String> getDefault()

#### isRequired

    public boolean isRequired​(Properties properties)

#### isAllowed

    public boolean isAllowed​(Properties properties)

#### getValue

    public Optional<T> getValue​(Properties properties)
                         throws SQLException

Throws:
  `SQLException`

#### getDriverPropertyInfo

    public DriverPropertyInfo getDriverPropertyInfo​(Properties mergedProperties)

#### validate

    public void validate​(Properties properties)
                  throws SQLException

Throws:
  `SQLException`

#### getRequiredValue

    public default T getRequiredValue​(Properties properties)
                               throws SQLException

Throws:
  `SQLException`